Bug 1480183 - Compute Nodes Picked up by ID
Compute Nodes Picked up by ID
Status: ASSIGNED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
low Severity medium
: GA
: cfme-future
Assigned To: Marek Aufart
Ola Pavlenko
openstack
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-10 06:57 EDT by Krain Arnold
Modified: 2017-10-31 09:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack


Attachments (Terms of Use)

  None (edit)
Description Krain Arnold 2017-08-10 06:57:42 EDT
Description of problem.
After adding an OpenStack Provider, CFME displays the compute and controller nodes by a UUID, instead of the name. When you choose to migrate a VM, however, the destination hosts are displayed correctly, by name.

Version-Release number of selected component (if applicable):
5.8.0.17.20170525183055_6317a22

How reproducible:
Quite.

Steps to Reproduce:
1.Add an openstack undercloud
2.look at the compute and controller nodes.

Actual results:
they'll be named something like: bd946830-6732-406a-a089-ca0a083c1b1b (NovaCompute) 

Expected results:
they should be named something like compute-node-1

Additional info:
the migration menu under vm/lifecycle/migrate pick up the correct name.
Comment 2 Tzu-Mainn Chen 2017-08-29 10:35:42 EDT
Hi! I think this is intended behavior, as an Ironic node will not always have anything deployed on it, so we have no choice but to identify it by ID. Something like "compute-node-1" actually comes from Nova, and we can display it when migrating a VM because we are specifically looking for compute hosts.

Does that make sense, or am I misunderstanding your concern?
Comment 3 Krain Arnold 2017-09-05 04:23:39 EDT
After some discussion with Rafal Szmigiel, who is more versed in OpenStack than I, we were wondering if we could make some adjustments to how cloudforms identifies these. 

As you have said, you can register compute (or any other) node with ironic, then automatically random UUID is assigned. However at this stage node can be empty and you don't have to provide a name to it. Therefore relaying on UUID is better because UUID is always there.

However, Names can be assigned in two places independently, in ironic, and in nova. In nova names are assigned during the node deployment so they are always set. In ironic you may not have name assigned and this isn't a problem. So if we could introduce some more logic on the CFME side, like if we could check the following:
1) is there name assigned in nova for this node (in other words: is this node already deployed)
2) if there is no name in nova, check if there is name in ironic
3) if there is no name in nova nor ironic, use ironic UUID

Because the way it is now, the only way to see which host the VM is on from a nova perspective is to try to migrate it, see what options are given, and then through process of elimination, you're currently on the host not listed as a migration target. This seems somewhat inelegant to me.
Comment 4 Tzu-Mainn Chen 2017-09-05 09:04:00 EDT
That's definitely something we can look into!

Note You need to log in before you can comment on or make changes to this bug.